Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class GrammarEditorPanel.GenericConstraintTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          ix.iface.ui.table.AbstractIXTableModel
              ix.iview.GrammarEditorPanel.GenericConstraintTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  GrammarEditorPanel

    protected class GrammarEditorPanel.GenericConstraintTableModel

extends AbstractIXTableModel

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class ix.iface.ui.table.AbstractIXTableModel
`AbstractIXTableModel.TableMarkListener`

Field Summary
`protected UIDomain` | `uiDomain`

Fields inherited from class ix.iface.ui.table.AbstractIXTableModel
`columnClasses, columnFields, columnNames, markedRows, objectClass, rows, rowsMarkable`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`GrammarEditorPanel.GenericConstraintTableModel(UIDomain uiDomain)`

Method Summary
`java.lang.Object` | `getCellValueAt(java.lang.Object o, int columnIndex)` Gets the object's value for the given column index.
`void` | `reloadData()`
`void` | `setDomain(UIDomain domain)`

Methods inherited from class ix.iface.ui.table.AbstractIXTableModel
`addData, addData, addMarkListener, clearData, clearMarks, defaultGetCellValueAt, defaultSetColumnFields, deriveColumnFields, fireTableMarkAdded, fireTableMarkCleared, fireTableMarkedAll, fireTableMarkRemoved, getColumnClass, getColumnCount, getColumnName, getColumnNames, getData, getMarkedObjects, getMarkedRows, getObjectRow, getRowCount, getRowObject, getValueAt, isCellEditable, isMarkable, isMarked, isMarkedEmpty, markAll, markRow, removeData, removeMarkListener, replaceData, setColumnClasses, setColumnFields, setColumnNames, setData, setValueAt, unmarkRow`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uiDomain

    protected UIDomain uiDomain

Constructor Detail

### GrammarEditorPanel.GenericConstraintTableModel

    public GrammarEditorPanel.GenericConstraintTableModel(UIDomain uiDomain)

Method Detail

### setDomain

    public void setDomain(UIDomain domain)

### reloadData

    public void reloadData()

### getCellValueAt

    public java.lang.Object getCellValueAt(java.lang.Object o,
                                           int columnIndex)

  Description copied from class: `AbstractIXTableModel`
  Gets the object's value for the given column index.

  Specified by:
    `getCellValueAt` in class `AbstractIXTableModel`
  Returns:
    an object that can be rendered by the table.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD